Package uk.ac.starlink.vo

## Class Endpoints

- java.lang.Object
- - uk.ac.starlink.vo.Endpoints

-     public class Endpoints
      extends java.lang.Object

  Utility class for working with EndpointSet instances.
  Since:
    18 Mar 2016
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Endpoints​()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EndpointSet` | `createDefaultTapEndpointSet​(java.lang.String baseUrl)` | Creates a TAP endpoint set from a string giving the base URL, with the endpoints in the default places.
    `static EndpointSet` | `createDefaultTapEndpointSet​(java.net.URL baseUrl)` | Creates a TAP endpoint set from a string giving the base URL, with the endpoints in the default places.
    `static EndpointSet` | `getRegTapEndpointSet​()` | Returns a default endpoint set corresponding to a Relational Registry (RegTAP) service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Endpoints

          public Endpoints​()

  - ### Method Detail

    - #### getRegTapEndpointSet

          public static EndpointSet getRegTapEndpointSet​()

      Returns a default endpoint set corresponding to a Relational Registry (RegTAP) service.

      The current implementation returns a hardcoded value, the main GAVO registry service. Perhaps it should be pluggable, but the GAVO RegTAP service is expected to be pretty reliable.

      Returns:
        default RegTAP endponits

    - #### createDefaultTapEndpointSet

          public static EndpointSet createDefaultTapEndpointSet​(java.lang.String baseUrl)

      Creates a TAP endpoint set from a string giving the base URL, with the endpoints in the default places.
      Parameters:
        `baseUrl` - base TAP URL
      Returns:
        endpoints for standard (v1.0) TAP service
      Throws:
        `java.lang.IllegalArgumentException` - in case of a bad URL

    - #### createDefaultTapEndpointSet

          public static EndpointSet createDefaultTapEndpointSet​(java.net.URL baseUrl)

      Creates a TAP endpoint set from a string giving the base URL, with the endpoints in the default places.

      This setup is more or less mandatory for TAP 1.0 services, but TAP 1.1 services can provide different sets of endpoints (capability/interface elements) for different purposes, for instance with different securityMethods.

      Parameters:
        `baseUrl` - base TAP URL
      Returns:
        endpoints for standard (v1.0) TAP service

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.